import { DOMWidgetModel, DOMWidgetView } from 'jupyter-js-widgets';
import { Panel } from '@phosphor/widgets';
import { WidgetManager } from './manager';
import { OutputAreaModel, OutputArea } from '@jupyterlab/outputarea';
import { KernelMessage } from '@jupyterlab/services';
export declare class OutputModel extends DOMWidgetModel {
    defaults(): any;
    initialize(attributes: any, options: any): void;
    reset_msg_id(): void;
    add(msg: KernelMessage.IIOPubMessage): void;
    clear_output(wait?: boolean): void;
    readonly outputs: OutputAreaModel;
    widget_manager: WidgetManager;
    private _msgHook;
    private _outputs;
}
export declare class OutputView extends DOMWidgetView {
    _createElement(tagName: string): HTMLElement;
    _setElement(el: HTMLElement): void;
    /**
     * Called when view is rendered.
     */
    render(): void;
    /**
     * Update the contents of this view
     *
     * Called when the model is changed.  The model may have been
     * changed by another view or by a state update from the back-end.
     */
    update(): void;
    remove(): any;
    model: OutputModel;
    _outputView: OutputArea;
    pWidget: Panel;
}
