import { DocumentRegistry } from '@jupyterlab/docregistry';
import { INotebookModel } from '@jupyterlab/notebook';
import { NotebookPanel } from '@jupyterlab/notebook';
import { JupyterLabPlugin } from '@jupyterlab/application';
import { Token } from '@phosphor/coreutils';
import { IDisposable } from '@phosphor/disposable';
import { WidgetManager } from './manager';
import 'jupyter-js-widgets/css/widgets-base.css';
/**
 * The token identifying the JupyterLab plugin.
 */
export declare const INBWidgetExtension: Token<DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel>>;
/**
 * The type of the provided value of the plugin in JupyterLab.
 */
export declare type INBWidgetExtension = DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel>;
export declare class NBWidgetExtension implements INBWidgetExtension {
    /**
     * Create a new extension object.
     */
    createNew(nb: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
    /**
     * Register a widget module.
     */
    registerWidget(data: WidgetManager.IWidgetData): void;
    private _registry;
}
/**
 * The widget manager provider.
 */
declare const widgetManagerProvider: JupyterLabPlugin<INBWidgetExtension>;
export default widgetManagerProvider;
